testing/web-platform/meta/worklets/animation-worklet-csp.https.html.ini
author James Graham <james@hoppipolla.co.uk>
Wed, 03 Jan 2018 21:44:52 +0000
changeset 452672 bd2b041cd739c0f354d6a0308c2ef9e141da3590
parent 447185 73ff8c6e08375253af4bbe020e449de4cceec6c2
child 506192 a7f16bb1b02d464927456525c064a442ba934ba3
permissions -rw-r--r--
Bug 1429043 - Update wpt metadata, a=testonly MozReview-Commit-ID: DfRMlekpVS8

[animation-worklet-csp.https.html]
  [Importing a remote-origin worklet script should be blocked by the script-src 'self' directive.]
    expected: FAIL

  [Importing a remote-origin script from a same-origin worklet script should be blocked by the script-src 'self' directive.]
    expected: FAIL

  [Importing a remote-origin worklet script should not be blocked because the script-src * directive allows it.]
    expected: FAIL

  [Importing a remote-origin script from a remote-origin worklet script should not be blocked because the script-src * directive allows it.]
    expected: FAIL

  [Importing a remote-origin worklet script should not be blocked by the worker-src directive because worklets obey the script-src directive.]
    expected: FAIL

  [Importing an insecure-origin worklet script should be blocked because of mixed contents.]
    expected: FAIL

  [Importing an insecure-origin worklet script should not be blocked because the upgrade-insecure-requests directive translates it as the secure origin.]
    expected: FAIL

  [Importing an insecure-origin script from a secure-origin worklet script should be blocked because of mixed contents.]
    expected: FAIL

  [Importing an insecure-origin script from a secure-origin worklet script should not be blocked because the upgrade-insecure-requests directive translates it as the secure origin.]
    expected: FAIL